Create a new tag group dimension
curl --request POST \
--url https://external.pleo.io/v0/tag-groups/{groupId}/dimensions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"code": "5524f270-6c21-11ee-b962-0242ac120002",
"name": "Project",
"visible": false,
"displayOrder": 1
}
'import requests
url = "https://external.pleo.io/v0/tag-groups/{groupId}/dimensions"
payload = {
"code": "5524f270-6c21-11ee-b962-0242ac120002",
"name": "Project",
"visible": False,
"displayOrder": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
code: '5524f270-6c21-11ee-b962-0242ac120002',
name: 'Project',
visible: false,
displayOrder: 1
})
};
fetch('https://external.pleo.io/v0/tag-groups/{groupId}/dimensions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"code": "5524f270-6c21-11ee-b962-0242ac120002",
"createdAt": "2023-08-23T03:11:48Z",
"displayOrder": 1,
"groupId": "c04c7e9e-6c15-11ee-b962-0242ac120003",
"id": "c04c7e9e-6c15-11ee-b962-0242ac120002",
"name": "Project",
"updatedAt": "2023-08-23T03:11:48Z",
"visible": false
}
}Tag Groups
Creates a new tag group dimension
POST
/
v0
/
tag-groups
/
{groupId}
/
dimensions
Create a new tag group dimension
Authorizations
bearerAuthbasicAuth
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
Unique identifier of the tag group this dimension will be associated with.
Body
application/json;charset=UTF-8
Code used in the external ERP/accounting system to identify the tag group dimension.
Example:
"5524f270-6c21-11ee-b962-0242ac120002"
User readable name of the tag group dimension.
Example:
"Project"
Determines if this tag group dimension is displayed in the UI.
Example:
false
This field is no longer in use. The display order of a new tag group dimension is now managed by the highest column order value.
Example:
1
Response
default - application/json;charset=UTF-8
default response
Show child attributes
Show child attributes
Was this page helpful?
⌘I